Subject: Re: [tz] draft of change summary for next tz release
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Thu, 19 Sep 2013 23:43:36 -0700
List-Id: Time Zone Database discussion <tz.iana.org>

Tim Parenti wrote:

> Nearly all of the feedback came after proposed
> patches were pushed

That is how it's always been done.  I always maintained a
private repository before, as did Arthur David Olson and
Robert Elz.  I pushed changes into the repository first, and
didn't always post them on the list afterwards, and I assume
ADO and RE did that as well -- it's a natural way to
proceed.  It's odd to see a complaint that little feedback
was sought, given that this time every proposed change was
posted to the list, including a draft release notice -- in
other words, far more effort was made this time to get
feedback.

In hindsight, opening up the development process in this way
was probably a mistake.  It's slowed development, and made
it less fun.  And let's not discount the cost of making
things less fun in a volunteer project.  The large quantity
of repeated discussion of trivialities has driven one
valuable contributor off the mailing list, a person who in
the past contributed more useful changes to the data than
anybody in this discussion other than ADO and myself.
That's a net minus.

All specific technical objections to the proposed changes
have been responded to.  The remaining objections are either
vague (so there's not much specific one can do), or
suggestions to complicate the development process (not a
good idea right now, if ever), or are about such trivial
matters that no real users will care.  There have been
dozens of emails on the LMT transition issue, which for our
data boil down down to a relatively small number of specific
questions like this one: on March 2, 1912, did St Kitts
advance its clocks by 10 minutes and 52 seconds at 04:10:52
UT, or by 6 minutes and 4 seconds at 04:06:04 UT?  Really?
Dozens of emails about a minor cleanup of what is almost
surely bogus noise?

All specific new objections that have come up during the
discussion of the release notice have been addressed, albeit
perhaps not to everyone's liking.  It's improbable we'll
ever get complete consensus on the changes, but the current
changeset will work and is in the spirit of how the project
has always been maintained, so I'm inclined to release what
we have now.  The process has been too messy this time,
admittedly, and I will try to do better next time.